# Socket Class Reference

Inherits ObjectImpl.

List of all members.

## Detailed Description

This class implements client sockets (also called just "sockets"). A socket is an endpoint for communication between two machines.

The actual work of the socket is performed by an instance of the SocketImpl class. An application, by changing the socket factory that creates the socket implementation, can configure itself to create sockets appropriate to the local firewall.

## Public Member Functions

| Socket (InetAddressPtr &address, int port)
| Creates a stream socket and connects it to the specified port number at the specified IP address.
| Socket (apr_socket_t *socket, apr_pool_t *pool)
| ~Socket ()
size_t | write (ByteBuffer &)
void | close ()
| Closes this socket.
InetAddressPtr | getInetAddress () const
| Returns the value of this socket's address field.
int | getPort () const
| Returns the value of this socket's port field.

## Constructor & Destructor Documentation

Socket | ( | InetAddressPtr & | address,
|  | int | port
| ) |

| Creates a stream socket and connects it to the specified port number at the specified IP address.

Socket | ( | apr_socket_t * | socket,
|  | apr_pool_t * | pool
| ) |

~Socket | ( |  | ) |

## Member Function Documentation

void close | ( |  | ) |

| Closes this socket.

InetAddressPtr getInetAddress | ( |  | ) | const

| Returns the value of this socket's address field.

int getPort | ( |  | ) | const

| Returns the value of this socket's port field.

size_t write | ( | ByteBuffer & |  | ) |

The documentation for this class was generated from the following file:

- socket.h